Get the done tasks of a person

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/persons/{person_id}/done-tasks

Get the done tasks of a person. An administrator gets the tasks of all the open projects. Other users get only the tasks in the open projects of their own teams. A vendor cannot read the tasks of other persons, and gets an empty list for their own tasks. A client gets an empty list. You cannot read the tasks of a bot.

Path parameters

  • person_id string(uuid) Required

    Unique identifier of the person

Responses

  • 200 application/json

    The list of done tasks

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • task_type_id string(uuid)
    • task_status_id string(uuid)
    • entity_id string(uuid)
    • project_id string(uuid)
    • assignees array[string(uuid)]
  • 403

    You cannot read the tasks of this person, or the person is a bot

  • 404

    The person does not exist

GET /data/persons/{person_id}/done-tasks
curl -X GET "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/done-tasks" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/done-tasks"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "name": "EP01 Layout",
    "task_type_id": "b24a6ea4-ce75-4665-a070-57453082c250",
    "task_status_id": "c24a6ea4-ce75-4665-a070-57453082c250",
    "entity_id": "d24a6ea4-ce75-4665-a070-57453082c250",
    "project_id": "e24a6ea4-ce75-4665-a070-57453082c250",
    "assignees": [
      "f24a6ea4-ce75-4665-a070-57453082c250"
    ]
  }
]